function broadened = Broaden(intervals,max_gap)


broadened = 0;


    j = 1;
    broadened(1,1)=intervals(1,1); % starting point of first interval
    broadened(1,2)=intervals(1,2); % and a possible end point. 
   
    [q,dummy] = size(intervals); 
    
    
    for i = 1:q  % there are q roots
        if (intervals(i,1) - broadened(j,2)>max_gap)
        % possible new starting point creates a large enough gap
         j = j+1;
        broadened(j,1)=intervals(i,1);
        broadened(j,2)=intervals(i,2); % start a new interval
        else
         % remain at same broadened interval and widen it to current endpoint   
        broadened(j,2) = intervals(i,2);
        end
   end
    if broadened(j,2) ~= intervals(q,2)
    broadened(j,2) = intervals(q,2); % make sure that last interval is closed

    end


end

